
---@class coxpcall*
---@type coxpcall*
local M = {}

--- coroutine-safe xpcall。
---@param fn function 被调用函数。
---@param err function 错误处理函数。
---@param ... any 参数。
---@return boolean ok 是否成功。
---@return any ... 返回值或错误。
function M.xpcall(fn, err, ...) end

--- coroutine-safe pcall。
---@param fn function 被调用函数。
---@param ... any 参数。
---@return boolean ok 是否成功。
---@return any ... 返回值或错误。
function M.pcall(fn, ...) end

--- 返回当前运行的 coroutine。
---@return thread? co 当前 coroutine。
function M.running() end

return M
